GET api/departmentItemapi/departmentItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "a2582029-6493-4377-b5eb-db63b7448031",
"selected_nameplate_id": "e4666c34-2d88-456a-a33d-1c7569b3acc2",
"active": true,
"department_id": "29a53c06-ffd1-4b7e-8188-4ed7791ebc89",
"id": "2732af63-08a9-43b5-84f4-d12896fcfcdb",
"physical_item_id": "a166f571-7c07-485c-b5d9-f78a5568e8cd",
"service_item_id": "e9715654-a0c3-4cb7-b3c0-ba7c6666b922",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>29a53c06-ffd1-4b7e-8188-4ed7791ebc89</department_id>
<id>2732af63-08a9-43b5-84f4-d12896fcfcdb</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>a166f571-7c07-485c-b5d9-f78a5568e8cd</physical_item_id>
<quantity>1</quantity>
<service_item_id>e9715654-a0c3-4cb7-b3c0-ba7c6666b922</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>e4666c34-2d88-456a-a33d-1c7569b3acc2</selected_nameplate_id>
<selected_sticker_id>a2582029-6493-4377-b5eb-db63b7448031</selected_sticker_id>
</department_item>